%define upstream_name    Catalyst-Authentication-Store-DBIx-Class
%define upstream_version 0.1506

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Catalyst Auth storage using DBIx::Class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Model::DBIC::Schema) >= 0.180.0
BuildRequires: perl(Catalyst::Plugin::Authentication) >= 0.100.80
BuildRequires: perl(Catalyst::Runtime) >= 5.800.0
BuildRequires: perl(DBIx::Class) >= 0.80.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%{?perl_default_filter}

%description
The Catalyst::Authentication::Realm::SimpleDB provides a simple way to
configure Catalyst Authentication when using the most common configuration
of a password protected user retrieved from an SQL database.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.150.600-12.mga10
+ Revision: 2203435
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.150.600-11.mga9
+ Revision: 1808353
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.150.600-10.mga8
+ Revision: 1503508
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.150.600-9.mga7
+ Revision: 1282040
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.150.600-8.mga7
+ Revision: 1163257
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.150.600-7.mga7
+ Revision: 1160256
- add BR on perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 0.150.600-6.mga6
+ Revision: 1022847
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.150.600-5.mga6
+ Revision: 946985
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.150.600-4.mga5
+ Revision: 740342
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- add exclude

* Tue Apr 15 2014 jquelin <jquelin> 0.150.600-1.mga5
+ Revision: 614644
- update to 0.1506

* Sat Oct 19 2013 umeabot <umeabot> 0.150.500-2.mga4
+ Revision: 528629
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 0.150.500-1.mga4
+ Revision: 446860
- update to 0.1505

* Sun Jan 13 2013 umeabot <umeabot> 0.150.300-2.mga3
+ Revision: 363861
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 10 2011 kharec <kharec> 0.150.300-1.mga2
+ Revision: 180184
- update to 0.1503
+ jquelin <jquelin>
- update to 0.1502

* Tue Jun 21 2011 jquelin <jquelin> 0.150.100-1.mga2
+ Revision: 111405
- update to 0.1501

* Wed Jun 15 2011 jquelin <jquelin> 0.150.0-1.mga2
+ Revision: 106506
- update to 0.1500

* Mon Feb 21 2011 jquelin <jquelin> 0.140.100-1.mga1
+ Revision: 55476
- update to 0.1401

* Thu Jan 27 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 41833
- mageia rebuild
- imported package perl-Catalyst-Authentication-Store-DBIx-Class

